ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- IUPACAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

c

org.bdgenomics.adam.models

# Coverage 

###

#### case class Coverage(referenceName: String, start: Long, end: Long, count: Double, optSampleId: Option[String] = None) extends Product with Serializable

Coverage record for CoverageDataset.

Contains Region indexed by reference name, start and end, as well as the average coverage at each base pair in that region.

referenceName

  The chromosome that this coverage was observed on.

start

  The start coordinate of the region where this coverage value was observed.

end

  The end coordinate of the region where this coverage value was observed.

count

  The average coverage across this region.

optSampleId

  Option of sampleId for this Coverage record

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Coverage
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Coverage(referenceName: String, start: Long, end: Long, count: Double, optSampleId: Option[String] = None)

   referenceName

     The chromosome that this coverage was observed on.

   start

     The start coordinate of the region where this coverage value was observed.

   end

     The end coordinate of the region where this coverage value was observed.

   count

     The average coverage across this region.

   optSampleId

     Option of sampleId for this Coverage record

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  val count: Double
7.  val end: Long
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  val optSampleId: Option[String]
15.  val referenceName: String
16.  val start: Long
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  def toFeature: Feature

    Converts Coverage to Feature, setting Coverage count in the score attribute.

    Converts Coverage to Feature, setting Coverage count in the score attribute.

    returns

      Feature built from Coverage

19.  def toSqlFeature: Feature

    Converts Coverage to a Feature case class, for use with Spark SQL.

20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped